#{extends 'borderNG.html' /}
#{set 'titleHead'}
&{'paket.edit_paket'}
#{/set}

<ol class="breadcrumb" style="background-color: #d9534f !important;">
    <li><a href="@{nonlelang.PaketPlCtr.index()}">&{'paket.daftar'} </a>
    <li class="active">&{'paket.edit_paket'}</li>
</ol>

<div class="content">
    #{alert /}
    #{stepper steppers /}
    #{form @nonlelang.PaketPlCtr.simpanPartTwo(paket?.pkt_id), id:'formTambahPaket', method:'POST'}
    <input type="hidden" name="step" value="${currentStep}" />
    <table class="table table-sm table-bordered">
    #{if paket.showExtendedPpkInput() }
        <tr>
            <th class="bgwarning">Nilai HPS <span class="warning">*</span></th>
            <td>
            ${paket?.hpsFormatted}
                #{if !isKuppbj || (isKuppbj && paket?.is_pkt_konsolidasi)}
                    <a href="@{nonlelang.DokumenPlCtr.hpsPpk(paket?.pkt_id)}" class="badge  badge-secondary">Rincian HPS</a>
                #{/if}
                #{if !paket.isHpsExist() }
                    <br/>
                    <br/>
                    <div class="alert alert-danger">&{'paket.harap_isi_rincian_hps'}</div>
                #{/if}
            </td>
        </tr>

        <tr>
            <th class="bgwarning" width="20%">Dokumen Persiapan Pengadaan</th>
            <td>
                <div class="card card-info">
                    <div class="card-header">Dokumen Persiapan Pengadaan</div>
                    <div class="list-group">
                        <a href="@{nonlelang.DokumenPlCtr.spekPpk(paket.pkt_id)}" class="list-group-item dialog" title="Daftar &{'doc.kakspek'}" onhide-refresh="true">&{'doc.kakspek'} <span class="warning">*</span> #{if dokPersiapan?.dp_spek} <i class="fa fa-check float-right"></i> #{/if}#{else}<i class="fa fa-upload float-right"></i>#{/else}</a>
                        <a href="@{nonlelang.DokumenPlCtr.uploadSskk(paket.pkt_id)}" class="list-group-item dialog" title="Daftar &{'doc.sskk'}" onhide-refresh="true">	&{'doc.sskk'} <span class="warning">*</span> #{if dokPersiapan?.dp_sskk_attachment} <i class="fa fa-check float-right"></i> #{/if}#{else}<i class="fa fa-upload float-right"></i>#{/else}</a>
                        <a href="@{nonlelang.DokumenPlCtr.lainnyaPpk(paket.pkt_id)}" class="list-group-item dialog" title="Daftar Informasi Lainnya" onhide-refresh="true">Informasi Lainnya #{if dokPersiapan?.dp_lainnya} <i class="fa fa-check float-right"></i> #{/if}#{else}<i class="fa fa-upload float-right"></i>#{/else}</a>
                    </div>
                </div>
                #{if !(dokPersiapan?.dp_spek && dokPersiapan?.dp_sskk_attachment)}
                <div class="alert alert-danger">&{'paket.harap_melengkapi_doc'}</div>
                #{/if}
            </td>
        </tr>
        #{if !paket?.plSeleksi?.isPenunjukanLangsung() && !isKuppbj}
        <tr>
            <th class="bgwarning">Data Dukung HPS</th>
            <td>
                <div class="card card-info">
                    <div class="card-header">Data Dukung HPS</div>
                    <div class="list-group">
                        <a href="@{nonlelang.DokumenPlCtr.surveyHargaPpk(paket.pkt_id)}" class="list-group-item dialog" title="Data Dukung HPS" onhide-refresh="true">Data Dukung HPS #{if dokPersiapan?.dp_survey} <i class="fa fa-check float-right"></i> #{/if}</a>
                    </div>
                </div>
            </td>
        </tr>
        #{/if}
        #{if paket.flag43 && paket.getDokPersiapan()?.lengkap()}
        #{if !pl.getPemilihan().isPengadaanLangsung()}
        <tr>
            <th class="bgwarning">Penanggung Jawab</th>
            <td>

                <select name="penanggung_jawab" id="pilihPenanggungJawab" class="form-control #{validate 'penanggung_jawab'/}" #{if paket.ukpbj != null || paket.isPpNameExist()}disabled#{/if} style="width: 25%">
                    <option value="">-- Pilih Penanggung Jawab --</option>
                    <option value="pp" #{if paket.isPpNameExist()}selected#{/if}>Pejabat Pengadaan</option>
                    <option value="ukpbj" #{if paket.ukpbj != null}selected#{/if}>UKPBJ</option>
                </select>

                <!-- Pejabat Pengadaan -->
                <div id="pp" style="display: none">
                    <br/>
                    #{if !paket.isPpNameExist() }
                    <a id="pilihPp" class="btn btn-secondary btn-sm" title="Pilih Pejabat Pengadaan" href="@{nonlelang.PaketPlCtr.pilihPp(paket.pkt_id)}" >
                        <i class="fa fa-edit"></i>&nbsp;Pilih Pejabat Pengadaan
                    </a>
                    #{/if}
                    #{else}
                    <table class="table table-responsive">
                        <tr>
                            <th style="width: 80%">&{'paket.nama'}</th>
                            <th colspan="2" style="text-align: center">&{'paket.aksi'}</th>
                        </tr>
                        <tr>
                            <td>${paket.ppName}</td>
                            #{if paket.isEditable()}
                            <td>
                                <a id="pilihPp" class="btn btn-secondary btn-sm #{if paket.ukpbj != null}disabled#{/if}" title="Pilih Pejabat Pengadaan" href="@{nonlelang.PaketPlCtr.pilihPp(paket.pkt_id)}" >
                                    <i class="fa fa-edit"></i>&nbsp;Ganti Pejabat Pengadaan
                                </a>
                            </td>
                            <td>
                                #{if paket.isPpNameExist() }
                                <a class="btn btn-danger btn-sm" title="Batal Pilih Pejabat Pengadaan"
                                   href="@{nonlelang.PaketPlCtr.batalPilihPp(paket.pkt_id, paket.pp_id)}" onclick="return confirm('Anda Yakin Batal Memilih Pejabat Pengadaan?')" >
                                    <i class="fa fa-close"></i>&nbsp;&{'paket.btn_batal'}
                                </a>
                                #{/if}
                            </td>
                            #{/if}
                            #{else}
                            <td colspan="2" style="text-align: center">&{'paket.tidak_bisa_diganti'}</td>
                            #{/else}
                        </tr>
                    </table>
                    #{/else}
                    #{if active_user.ppk}
                    <div class="bs-callout bs-callout-info">
                        &{'paket.pilih_penunjukan_langsung'}
                    </div>
                    #{/if}
                    #{if historyPp?.size > 0 }
        <tr>
            <th class="bgwarning"> Riwayat Pejabat Pengadaan</th>
            <td>
                <table class="table table-sm">
                    <tr>
                                <th>&{'paket.tanggal'}</th>
                                <th>&{'paket.nama_pejabat'}</th>
                                <th>&{'paket.alasan_diganti'}</th>
                                <th>&{'paket.penanggung_jawab'}</th>
                            </tr>
                            #{list items:historyPp, as:'pp'}
                                <tr>
                        <td>${pp.tgl_perubahan?.formatDateTime()}</td>
                        <td>${pp.namaPegawai}</td>
                        <td>${pp.alasan == null ? "-" : pp.alasan}</td>
                        <td>${pp.namaPegawai == null ? "-" : pp.namaPegawai}</td>
                    </tr>
                    #{/list}
                </table>
            </td>
        </tr>
        #{/if}
                </div>
                <!-- End of Pejabat Pengadaan -->

                <!--UKPBJ -->
                <div id="ukpbj" style="display: none">
                    <br/>
                    #{if paket.ukpbj == null && paket.isEditable() && !isKuppbj}
                        <a class="btn btn-secondary btn-sm" title="Pilih UKPBJ" href="@{nonlelang.PaketPlCtr.pilihUkpbj(paket.pkt_id)}">
                            <i class="fa fa-edit"></i>&nbsp;Pilih UKPBJ
                        </a>
                    #{/if}
                    #{else}
                        <table class="table table-responsive">
                            <tr>
                                <th style="width: 80%">&{'paket.nama'}</th>
                                <th colspan="2" style="text-align: center">&{'paket.aksi'}</th>
                            </tr>
                            <tr>
                                <td>${paket?.ukpbj?.nama}</td>
                                #{if paket.isEditable() && !isKuppbj && isKuppbjEditable}
                                    <td>
                                        <a class="btn btn-secondary btn-sm" title="Ganti UKPBJ" href="@{nonlelang.PaketPlCtr.pilihUkpbj(paket.pkt_id)}">
                                            <i class="fa fa-edit"></i>&nbsp;Ganti UKPBJ
                                        </a>
                                    </td>
                                    <td>
                                        <a class="btn btn-danger btn-sm" title="Batal Pilih UKPBJ"
                                           href="@{nonlelang.PaketPlCtr.batalPilihUkpbj(paket.pkt_id)}" onclick="return confirm('Anda Yakin Batal Memilih UKPBJ?')" >
                                            <i class="fa fa-close"></i>&nbsp;&{'paket.btn_batal'}
                                        </a>
                                    </td>
                                #{/if}
                                #{else}
                                    <td colspan="2" style="text-align: center">&{'paket.tidak_bisa_diganti'}</td>
                                #{/else}
                            </tr>
                        </table>
                    #{/else}
                    #{if active_user.ppk}
                        <div class="bs-callout bs-callout-info">
                            Pilih UKPBJ untuk pembuatan paket Penunjukan Langsung yang dilakukan oleh Pokja Pemilihan.
                        </div>
                    #{/if}
                </div>
                <!-- End of UKPBJ -->

                <div class="invalid-feedback">#{error 'penanggung_jawab' /}</div>
            </td>

        </tr>
        #{/if}

        #{if pl.getPemilihan().isPengadaanLangsung()}
        <tr>
            <th class="bgwarning">Pejabat Pengadaan <span class="warning">*</span></th>
            <td>
                ${paket.ppName}
                <a id="pilihPp" class="btn btn-secondary btn-sm" title="Pilih Pejabat Pengadaan" href="@{nonlelang.PaketPlCtr.pilihPp(paket.pkt_id)}" >
                <i class="fa fa-edit"></i>&nbsp;#{if paket?.ppName != null }Ganti#{/if} #{else}Pilih #{/else} Pejabat Pengadaan
                </a>
            </td>

        </tr>
        #{/if}
        #{if historyPp?.size > 0 }
        <tr>
            <th class="bgwarning"> Riwayat Pejabat Pengadaan</th>
                <td>
                <table class="table table-sm">
            <tr>
                <th>&{'paket.tanggal'}</th>
                <th>&{'paket.nama_pejabat'}</th>
                <th>&{'paket.alasan_diganti'}</th>
                <th>&{'paket.penanggung_jawab'}</th>
            </tr>
            #{list items:historyPp, as:'pp'}
            <tr>
                <td>${pp.tgl_perubahan?.formatDateTime()}</td>
                <td>${pp.namaPp}</td>
                <td>${pp.alasan == null ? "-" : pp.alasan}</td>
                <td>${pp.namaPegawai == null ? "-" : pp.namaPegawai}</td>
            </tr>
            #{/list}
                </table>
                </td>
        </tr>
        #{/if}
        #{/if}
        #{if !isPpk }
            <tr>
                <th class="bgwarning">Pokja Pemilihan <span class="warning">*</span></th>
                <td>
                ${paket?.panitia?.pnt_nama}
                    <a class="btn btn-secondary btn-sm" title="Pilih Pokja Pemilihan" href="@{nonlelang.PaketPlCtr.panitia(paket.pkt_id)}">
                        <i class="fa fa-edit"></i>&nbsp;#{if paket?.panitia?.pnt_nama != null }Ganti#{/if}#{else}Pilih#{/else} Pokja Pemilihan
                    </a>
                </td>
            </tr>
        #{if historyPokja?.size > 0 }
        <tr>
            <th class="bgwarning"> Riwayat Pokja Pemilihan</th>
            <td>
                <table class="table table-sm">
                    <tr>
                        <th>Tanggal</th>
                        <th>Nama Pokja Pemilihan</th>
                        <th>Alasan Perubahan</th>
                        <th>Penanggung Jawab</th>
                    </tr>
                    #{list items:historyPokja, as:'pokja'}
                    <tr>
                        <td>${pokja.tgl_perubahan?.formatDateTime()}</td>
                        <td>${pokja.namaPokja}</td>
                        <td>${pokja.alasan == null ? "-" : pokja.alasan}</td>
                        <td>${pokja.namaPegawai == null ? "-" : pokja.namaPegawai}</td>
                    </tr>
                    #{/list}
                </table>
            </td>
        </tr>
        #{/if}
        #{/if}
    #{/if}

#{else}
    <tr>
        <th class="bgwarning">Pokja</th>
        <td>${paket?.panitia?.pnt_nama}</td>
    </tr>
#{/else}
        <tr>
            <th class="bgwarning">Jenis Kontrak</th>
            <td colspan="3">
                <div style="max-width: 250px;">
                    #{if paket.editable && active_user.ppk}
                    #{selectKontrakPembayaran 'kontrak_pembayaran', value:paket?.plSeleksi?.lls_kontrak_pembayaran, isConsultant:kategori.isConsultant() || kategori.isJkKonstruksi() /}
                    #{/if}
                    #{else}
                    ${paket?.plSeleksi?.kontrakPembayaran?.label}
                    #{/else}
                </div>
            </td>
        </tr>
    </table>
    <div class="form-group row">
        <div class="col-10">
            <a class="btn btn-secondary " href="?step=1"><i class="fa fa-arrow-circle-left fa-fw"></i> Sebelumnya</a>
            #{if (allowToShowSaveButton || paket.isEditableByKuppbj()) && currentStep == steppers.size() }
            #{saveButton title:saveButtonTitle /}
            #{/if}
        </div>
    </div>
    #{/form}

    <div class="bs-callout bs-callout-warning">
        <span class="warning">*</span> &{'paket.wajib_diisi'}
    </div>

</div>

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/vendor/jquery.ui.widget.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.iframe-transport.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-process.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-validate.min.js"></script>
<script type="text/javascript">
$(document).ready(function(){
    $('[data-toggle="tooltip"]').tooltip();

    #{if paket.ukpbj != null}
        $("#pp").hide();
        $("#ukpbj").show();
    #{/if}
    #{elseif paket.isPpNameExist()}
        $("#pp").show();
        $("#ukpbj").hide();
    #{/elseif}

});

$("#pilihPenanggungJawab").change(function () {
   var val = $(this).val();

   if(val == "pp"){
       $("#pp").show();
       $("#ukpbj").hide();
   }else if(val == "ukpbj"){
       $("#pp").hide();
       $("#ukpbj").show();
   }else{
       $("#pp").hide();
       $("#ukpbj").hide();
   }

});

</script>
#{/set}

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/css/jquery.fileupload.min.css" rel="stylesheet" type="text/css">
#{/set}